<?
include("../conexion/class-sb-conexion.php");
//include("../conexion/sb_coneccion_seguridad.php")
//$sucursal_global=0;
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Documento sin t&iacute;tulo</title>
</head>

<body>
<?

$ano = substr($fecha_comprobante,0,4);
$wsql = "select numero from sb_conta_eit where cod_empresa = ".$Codigo_Empresa." AND year(fecha) = ".$ano." order by numero desc;";
//echo $wsql;
	//$nuevo_comp = mysqli_query($wsql, $conexion);
	//$nuevo_comprobante = mysqli_fetch_row($nuevo_comp);


	$db = new sb_mysql();
	$nuevo_comp = $db->consulta_free($wsql);
	$nuevo_comprobante = $db->sb_array($nuevo_comp);	        

if ($nuevo_comprobante[0] == '' || $nuevo_comprobante[0] == 0){
    $numero_comprobante = 1;
}else{
    $numero_comprobante = $nuevo_comprobante[0] + 1;
};


echo "----".$numero_comprobante."-----";
$cantidad_filas_ingreso = count($cargo);
$num_reg=$cantidad_filas_ingreso;
$suma_cargo=0;
$suma_abono=0;
for($i=1;$i<=$num_reg;$i++)
	{
$suma_cargo=$suma_cargo+$cargo[$i];
$suma_abono=$suma_abono+$abono[$i];

	//echo "iiiiiiiiiiiiiiiiii ".$i."]]]]]]]]]]]]]]]]]]]";
	};

if($suma_cargo>0 && $suma_abono>0){
	if($suma_cargo!=$suma_abono){
		?><script>alert("Comprobante no cuadrado")</script><?
		exit();	
	}
}else{
?><script>alert("Comprobante no cuadrado")</script><?
exit();
}
//$wsql = "INSERT into sb_conta_eit ( ".
//           "cod_empresa, ".
//           "cod_tipo, ".
//           "numero, ".
//           "fecha, ".
//           "glosa, ".
//           "valor, usuario, fecha_hora_proceso) VALUES ( ".
//           $Codigo_Empresa.", ".
//           "'".$tipo_comprobante."', ".
//           $numero_comprobante.", ".
//           "'".$fecha_comprobante."', ".
//           "'".$glosa_comprobante."', ".
//           number_format($suma_compro,0,'','').", ".
//		   "'".$mi_usuario."', '".$fecha_sistema." ".$hora_sistema."');";
$wsql = "INSERT into sb_conta_eit ( ".
           "cod_empresa, ".
           "cod_tipo, ".
           "numero, ".
           "fecha, ".
           "glosa, ".
           "valor, usuario, fecha_hora_proceso, traspaso) VALUES ( ".
           $Codigo_Empresa.", ".
           "'".$tipo_comprobante."', ".
           $numero_comprobante.", ".
           "'".$fecha_comprobante."', ".
           "'".$glosa_comprobante."', ".
           number_format($suma_cargo,0,'','').", ".
		   "'".$mi_usuario."', '".$fecha_sistema." ".$hora_sistema."', 'D');";

//echo $wsql.$cantidad_filas_ingreso;

//$graba_comprobante = mysql_query($wsql, $enlace);
//$mi_id = mysql_insert_id();

$graba_comprobante = $db->consulta_free($wsql);

$id_comp = $db->consulta_free("SELECT LAST_INSERT_ID() as id");
$nuevo = $db->sb_array($id_comp);	        

$mi_id=$nuevo['id'];

if ($mi_id==0){
		?>
		<script language="javascript" type="text/javascript">
		alert("El Registro NO fué grabado...\n inténtelo nuevamente... o llame a computacion para reportar el problema...");
		window.close();
		</script>
		<?
		exit();
}




$num_reg=$cantidad_filas_ingreso;
for($i=1;$i<=$num_reg;$i++)
	{
	if($cargo[$i]=='')$cargo[$i]=0;
	if($abono[$i]=='')$abono[$i]=0;
	echo $q++;
	$sql_cuenta="SELECT Id FROM plan_cuenta WHERE cuenta_contable2 = {$cuenta[$i]}";
	echo "<br />{$sql_cuenta}<br />";
	$resultado_cuenta = $db->consulta_free($sql_cuenta);
	print_r($resultado_cuenta);
	$arrCuenta = $db->sb_array($resultado_cuenta);
	echo"<pre>";
	print_r($arrCuenta);
	echo"</pre>";
	
	//echo "iiiiiiiiiiiiiiiiii ".$i."]]]]]]]]]]]]]]]]]]]";
	/*$wsql = "INSERT INTO `sb_conta_cta` (`cod_empresa`, `numero_eit`, `fecha`, `codigo_contable`, `glosa`, `cargo`, `abono`, `linea_en_comprobante`) VALUES ".
	    "(".$Codigo_Empresa.", ".$numero_comprobante.", '".$fecha_comprobante."', ".$cuenta[$i].", '".$glosa[$i]."', ".$cargo[$i].", ".$abono[$i].", ".$i.");";		
	*/$wsql = "INSERT INTO `sb_conta_cta` (`cod_empresa`, `numero_eit`, `fecha`, `id_sb_conta_eit`, `id_plan_cuenta`, `codigo_contable`, `cargo`, `abono`, `linea_en_comprobante`) VALUES ".
				"(".$Codigo_Empresa.", ".$numero_comprobante.", '".$fecha_comprobante."', '{$mi_id}', ".$arrCuenta['Id'].", ".$cuenta[$i].", ".$cargo[$i].", ".$abono[$i].", ".$i.");";		
		//mysql_query($wsql, $enlace);
	echo "<br>".$wsql;
	$graba_comprobante_detalle = $db->consulta_free($wsql);
	};
?>

<script>
function visualizdor_comprobante(){
//ventana1 = window.open('comprobante_contable.php?numero_comp=<?=$numero_comprobante?>&ano=<?=$ano?>&Codigo_Empresa=<?=$Codigo_Empresa?>','popupwin1','status,toolbar=no,menubar=no,location=no,scrollbars=yes,resizable=yes,width=800,height=800,left=300,top=200');
ventana1 = window.open('comprobante_contable.php?id_eit=<?=$mi_id?>&numero_comp=<?=$numero_comprobante?>','popupwin1','status,toolbar=no,menubar=no,location=no,scrollbars=yes,resizable=yes,width=800,height=800,left=300,top=200');
window.open('','_parent','');window.close();
};
visualizdor_comprobante();
</script>
</body>
</html>
